## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenBaseImpl.UniqueNameHelper

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl.UniqueNameHelper

Enclosing class:
  GenBaseImpl

    protected abstract class GenBaseImpl.UniqueNameHelper

extends java.lang.Object

Constructor Summary
`protected` `GenBaseImpl.UniqueNameHelper()`
`protected` `GenBaseImpl.UniqueNameHelper(int initialMapCapacity)`

Method Summary
`protected boolean` `add(java.lang.Object o)`
`boolean` `addAll(java.util.Collection<?> c)`
`boolean` `contains(java.lang.Object o)`
`boolean` `containsName(java.lang.String name)`
`protected java.util.List<java.lang.String>` `getAlternateNames(java.lang.Object o)`
`protected abstract java.lang.String` `getName(java.lang.Object o)`
`java.lang.String` `getUniqueName(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenBaseImpl.UniqueNameHelper

    protected GenBaseImpl.UniqueNameHelper()

### GenBaseImpl.UniqueNameHelper

    protected GenBaseImpl.UniqueNameHelper(int initialMapCapacity)

Method Detail

### getName

    protected abstract java.lang.String getName(java.lang.Object o)

### getAlternateNames

    protected java.util.List<java.lang.String> getAlternateNames(java.lang.Object o)

### getUniqueName

    public java.lang.String getUniqueName(java.lang.Object o)

### add

    protected boolean add(java.lang.Object o)

### addAll

    public boolean addAll(java.util.Collection<?> c)

### contains

    public final boolean contains(java.lang.Object o)

### containsName

    public final boolean containsName(java.lang.String name)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.